Bug 949831

Summary: Fedora 19 RC1 - Cannot open theme file /usr/share/kde4/apps/kdm/themes/SphericalCow - Wrong default theme
Product: [Fedora] Fedora Reporter: Shawn Starr <shawn.starr>
Component: kde-settingsAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 19CC: awilliam, dvratil, jgrulich, jreznik, kevin, ltinkl, mbriza, mkrizek, rdieter, rnovacek, robatino, smparrish, than
Target Milestone: ---Keywords: Regression
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AcceptedBlocker
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-10 16:48:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 834084    
Attachments:
Description Flags
KDM failing to load right theme none

Description Shawn Starr 2013-04-09 06:34:17 UTC
Created attachment 732982 [details]
KDM failing to load right theme

Description of problem:
After installing RC1, I could not log in to KDE session

Version-Release number of selected component (if applicable):
kde-settings-kdm-19-14.fc19.noarch

How reproducible:
100% 

Steps to Reproduce:
1. Install Fedora 19 RC1 i386 or x86_64
2. Reboot normally, kdm fails on startup with error that it cannot find proper theme as SphericalCow was Fedora 18 theme.
  
Actual results:
Fails to login

Expected results:
Should show Fedora 19 theme


cat /etc/kde/kdm/kdmrc | grep theme
# Whether the greeter should be themed. Default is false
# The theme to use for the greeter. Can point to either a directory or an XML
# file. Default is "/usr/share/kde4/apps/kdm/themes/circles"
Theme=/usr/share/kde4/apps/kdm/themes/SphericalCow <-------------------

Comment 1 Shawn Starr 2013-04-09 06:40:57 UTC
This was fine in TC5 so somehow this regression has appeared

Comment 2 Shawn Starr 2013-04-09 06:57:36 UTC
this is fixed in 

* Wed Apr 03 2013 Martin Briza <mbriza> 19-15 - Fixed KDM theme name in /etc

-15, So RC1 missed the cutoff of the theme fix.....

I will keep bug open so there is reference

Comment 3 Shawn Starr 2013-04-09 07:14:20 UTC
there is also -16 but %changelog is missing in koji build of -16 but committed in package git repo. 

Can this be fixed please?

Comment 4 Kevin Kofler 2013-04-09 08:01:03 UTC
1. This is a reference to F18 artwork.
2. This makes KDM not work, i.e. it COMPLETELY BREAKS the KDE spin!!!

→ IMHO, clear Alpha Blocker, I hope everyone agrees.

Comment 5 Jaroslav Reznik 2013-04-09 10:07:40 UTC
+1 blocker

Comment 6 Martin Krizek 2013-04-09 11:21:29 UTC
This is fixed in updates-testing.

+1 blocker

Comment 7 Martin Bříza 2013-04-09 11:44:05 UTC
Well, the working package is included in Alpha-TC4 and was tagged into f19 today.
Unfortunately, I submitted the fix after the freeze so it had to go through the usual updates procedure.

Comment 8 Jaroslav Reznik 2013-04-09 11:57:13 UTC
As the different version of kde-settings and schroedinger-cat-kde-theme was picked up for RC1 than requested in the releng ticket, this bug should be implicitly accepted as blocker and compose should be fixed.

Comment 9 Adam Williamson 2013-04-09 15:13:23 UTC
Seems like this is basically an RC1 compose error, +1 per jreznik, setting accepted.

Comment 10 Martin Krizek 2013-04-10 08:47:15 UTC
Confirming that this is indeed fixed in RC2.

Comment 11 Adam Williamson 2013-04-10 16:48:58 UTC
The update was pushed stable, so closing.